@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";

.error-modal-container {
  border-radius: 4px;
  background-color: $secondary-dark;
  width: 363px;
  height: 316px;
  text-align: center;
  padding: 24px !important;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  .error-checked-icon {
    align-self: center;
    margin: auto;
    margin-top: 40px;
    width: 156px;
    height: 156px;
    object-fit: contain;
  }

  .title-error-modal {
    text-align: left;
  }

  .sub-title-error-modal {
    color: $secondary-text;
    text-align: left;
    margin-bottom: 16px;
  }

  .description-error-modal {
    display: grid;
    text-align: center;
    height: 269px;
    width: 315px;

    >h5:first-child {
      margin-top: 20px;
    }
  }

  .MuiSvgIcon-root {
    font-size: 105.5px;
    margin-left: auto;
    margin-right: auto;
  }

  .footer-wrapper-error-modal {
    height: 42px;
    width: 80px;
  }

  .mg-button {
    margin-top: 20px;
  }

  .amount-settings {
    display: flex;

    >div:first-child {
      white-space: nowrap;
      margin-right: 10px;
    }

    >div:last-child {
      margin-left: 10px;
    }
  }

  .buttton-container {
    margin-top: 32px;
    display: flex;
    justify-content: flex-end;

    >div:last-child {
      margin-left: 8px;
    }
  }
}